package unifm;

import com.one.DisplayManager;
import com.one.PaintableObject;
import com.one.TestCanvas;
import javax.microedition.lcdui.Display;
import javax.microedition.midlet.*;

public class Test extends MIDlet
{
	DisplayManager dsp;
	TestCanvas tc;

	public Test()
	{
		dsp = new DisplayManager(Display.getDisplay(this));
		PaintableObject.setRenderer(dsp.getRenderer());

		tc = new TestCanvas();
	}

	public void startApp()
	{
		dsp.setCurrent(tc);
	}

	public void pauseApp()
	{
		notifyPaused();
	}

	public void destroyApp(boolean unconditional)
	{
		notifyDestroyed();
	}
}
